from django.conf import settings

SESSION_COOKIE_AGE = settings.SESSION_COOKIE_AGE
SESSION_EXPIRE_AT_BROWSER_CLOSE = settings.SESSION_EXPIRE_AT_BROWSER_CLOSE

if SESSION_EXPIRE_AT_BROWSER_CLOSE is False:
    raise Exception('Idle needs to flush cookie session at browser close : SESSION_EXPIRE_AT_BROWSER_CLOSE = True')

IDLE_WARNING = getattr(settings, 'IDLE_WARNING', None)
if not IDLE_WARNING:
    IDLE_WARNING = SESSION_COOKIE_AGE / 2

IDLE_AFTER = getattr(settings, 'IDLE_AFTER', None)
if not IDLE_AFTER:
    IDLE_AFTER = SESSION_COOKIE_AGE / 2

IDLE_POLL_INTERVAL = getattr(settings, 'IDLE_POLL_INTERVAL', None)
if not IDLE_POLL_INTERVAL:
    IDLE_POLL_INTERVAL = SESSION_COOKIE_AGE
